Table of Contents

Class: _Win32Waker | Twisted-0.19.0/twisted/internet/default.py
--- | ---
### I am a workaround for the lack of pipes on win32. I am a pair of connected sockets which can wake up the main loop from another thread.
Base Classes |
--- | ---
log.Logger styles.Ephemeral
Methods |
--- | ---
__init__ connectionLost doRead wakeUp
| __init__
    __init__ ( self )
Initialize.
| connectionLost
    connectionLost ( self )
| doRead
    doRead ( self )
Read some data from my connection.
| wakeUp
    wakeUp ( self )
Send a byte to my connection.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0